
From: Christophe Lucas <clucas@rotomalug.org>

Signed-off-by: Christophe Lucas <clucas@rotomalug.org>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/lcd.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletion(-)

diff -puN drivers/char/lcd.c~drivers-char-lcdc-misc_register-can-fail drivers/char/lcd.c
--- devel/drivers/char/lcd.c~drivers-char-lcdc-misc_register-can-fail	2005-06-30 22:38:52.000000000 -0700
+++ devel-akpm/drivers/char/lcd.c	2005-06-30 22:38:52.000000000 -0700
@@ -613,10 +613,15 @@ static struct miscdevice lcd_dev = {
 
 static int lcd_init(void)
 {
+	int ret;
 	unsigned long data;
 
 	pr_info("%s\n", LCD_DRIVER);
-	misc_register(&lcd_dev);
+	ret = misc_register(&lcd_dev);
+	if (ret) {
+		printk(KERN_WARNING LCD "Unable to register misc device.\n");
+		return ret;
+	}
 
 	/* Check region? Naaah! Just snarf it up. */
 /*	request_region(RTC_PORT(0), RTC_IO_EXTENT, "lcd");*/
_
